<?php
include 'inc/head.php';
$sys->head('Установщик SiteGuard');

?>

<style>
.button
{
background: #c5dfa6;
border: 1px solid #a1c478;
padding: 2px;
margin: 2px 2px 2px 4px;
color: #668d38;
font-weight: bold;
}
</style>

<?php

if (isset($_GET['next']))
{
$ps['step']++;
header('Location: ?');
}
if (isset($_GET['previous']))
{
$ps['step']--;
header('Location: ?');
}
if (empty($ps['step']))
$ps['step']=1;


if ($ps['step']==1)
{
echo "
<b>SiteGuard 1.0 MAXI (DCMS 6.6.4)</b><br />
Программа для полноценной защиты Вашего сайта<br />
<b>Контакты</b><br />
<a href='http://koneek.net/info.php?id=39'>Копеек.нет</a><br />
<a href='http://zapiska.us/user1'>Записка.us</a><br />
ICQ: 584554900<br />
Email: dimka3295@yandex.ru<br />
";
}
elseif ($ps['step']==2)
{
if (empty($ps['guard'])) 
	{
	$err=true;
	echo $sys->icon('err').' Вставьте код: 
	<b>include H.\'guard/inc/guard.php\';</b> в файл /sys/inc/thead.php после <&#63 (2 строка) и обновите страницу<br />';
	}
	else
	echo $sys->icon('ok').' include H.\'guard/inc/guard.php\'; (успешно)<br />';

if (empty($ps['janitor']))
	{
	$err=true;
	echo $sys->icon('err').' Вставьте код: <b>include H.\'guard/inc/janitor.php\';</b> в файл /sys/inc/tfoot.php после <&#63 (2 строка) и обновите страницу';
	}
else
echo $sys->icon('ok').' include H.\'guard/inc/janitor.php\'; (успешно)';
echo '<br />';
}
elseif ($ps['step']==3)
{
function permissions($filez)
	{
	return decoct(@fileperms("$filez")) % 1000;
	}

function test_chmod($df,$chmod)
	{
	global $err,$user;
	if (isset($user) && $user['level']==10)
		$show_df=preg_replace('#^'.preg_quote(H).'#', '/', $df);
		else 
		$show_df=$df;
	@list($f_chmod1,$f_chmod2,$f_chmod3)=str_split(permissions($df));
	list($n_chmod1,$n_chmod2,$n_chmod3)=str_split($chmod);
	if ($f_chmod1<$n_chmod1 || $f_chmod2<$n_chmod2 || $f_chmod3<$n_chmod3)
		{
		$err[]="Установите CHMOD $n_chmod1$n_chmod2$n_chmod3 на файл $show_df";
		echo "<span class='off'>$show_df : [$f_chmod1$f_chmod2$f_chmod3] - >$n_chmod1$n_chmod2$n_chmod3</span><br />\n";
		}
		else
		{
		echo "<span class='on'>$show_df ($n_chmod1$n_chmod2$n_chmod3) : $f_chmod1$f_chmod2$f_chmod3 (OK)</span><br />\n";
		}
	}
test_chmod(H.'guard/system.ini','666');
test_chmod(H.'guard/sets.ini','666');
test_chmod(H.'guard/logs/','777');
err();
}
elseif ($ps['step']==4)
{
header('Location: index.php?install');
$ps['step']=1;
}

echo '<br />'.$sys->icon('step')." <b>Шаг: $_SESSION[step]</b> ".$sys->icon('previous','?previous').' '.$sys->icon('update_page','?').' '.(empty($err)?$sys->icon('next','?next'):null)."<br />
<a href='http://kopeyka.biz/shop/user.php?id=39'>&copy; PiloT (Байбухтин Дмитрий)</a>";
$ps['guard']=false;
$ps['janitor']=false;
include 'inc/foot.php';
?>